Subject: RE: [seamoby] Re: New name -> Seamless to become Hidden Handover? ?

From: Kulwinder Atwal <[email-masked]>
Date: Mon, 5 Feb 2001 23:39:06 -0500

The problem I have with using SCTP to carry TCP is the Round-Trip-Time.
Using TCP/SCTP does not reduce the RTT in face of a de-graded physical radio
link.
The physical delay (RTT) due to a poor radio link will exist with TCP and
TCP/SCTP.

TCP uses RTT to ramp down the bytes per second.  A longer RTT causes TCP to
re-transmit, and causes TCP to cut the rate to half 
until sufficient ACKs are recieved from the reciever.  SCTP does not improve
TCP's RTT problem, therefore the same problem will exist.

SCTP must be used end-to-end, otherwise it is overhead.

I suppose one could provide an API on either end that converts TCP packets
to SCTP
before transmission, but there is no gauranttee the other side will do the
same.
If one is going to do this, one may ask why not just put the effort into
moving to 
SCTP instead?

It may be time to take the plunge and move to SCTP/IPv6.

- Kulwinder.

> -----Original Message-----
> From: Patrice Calhoun [mailto:[email-masked]]
> Sent: Monday, February 05, 2001 12:38 PM
> To: [email-masked]
> Cc: Patrice Calhoun; [email-masked]
> Subject: Re: [seamoby] Re: New name -> Seamless to become Hidden
> Handover? ?
> 
> 
> > pdn>You almost have the right end-to-end argument and I do
> > pdn>understand that it makes complete sense when talking about
> > pdn>routers.  So...
> 
> ok....
> 
> > pdn>
> > pdn>YES.  However, most radio links already do retransmits for
> > pdn>end-to-end reliable protocols take RLP in cdma2000 or RLC
> > pdn>in UMTS your favorite 3G standards I believe.  Neither of
> > pdn>these can provide multi-homing like SCTP.  Suppose that
> > pdn>you have a bunch of bumble bees hovering around the hive
> > pdn>and each of them is a router.
> 
> Actually, to be fair, the radio guys provide *two* different 
> type of service
> over the air (each in separate channels). Real-Time traffic 
> is sent through
> one type of channel, which does NOT provide retransmission at 
> the link layer,
> and normal traffic uses a channel that does provide retransmission.
> 
> > pdn>Do you see what I mean now???
> 
> Not within the context of the IETF I don't. As you see above, 
> even the radio
> guys know that *some* traffic shouldn't be retransmitted. I 
> would hate to have
> to impose such intelligence in routers as well.
> 
> PatC
>

---

From: Patrice Calhoun <[email-masked]>
Date: Tue, 6 Feb 2001 05:47:30 -0800 (PST)

> If one is going to do this, one may ask why not just put the effort into

No gateways please. Breaking the end-to-end model is not on our charter.

I really do not understand how this thread has anything to do with seamby, btw.
 PatC